# This file created by conda-build 3.22.0
# meta.yaml template originally from:
# /home/conda/recipe_root, last modified Fri Sep 30 21:19:43 2022
# ------------------------------------------------

package:
  name: google-resumable-media
  version: 2.4.0
source:
  sha256: 8d5518502f92b9ecc84ac46779bd4f09694ecb3ba38a3e7ca737a86d15cbca1f
  url: https://pypi.io/packages/source/g/google-resumable-media/google-resumable-media-2.4.0.tar.gz
build:
  noarch: python
  number: '0'
  script: /home/conda/feedstock_root/build_artifacts/google-resumable-media_1664572850986/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehol/bin/python
    -m pip install . --no-deps -vv
  string: pyhd8ed1ab_0
requirements:
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - bzip2 1.0.8 h7f98852_4
    - ca-certificates 2022.9.24 ha878542_0
    - ld_impl_linux-64 2.36.1 hea4e1c9_2
    - libffi 3.4.2 h7f98852_5
    - libgcc-ng 12.1.0 h8d9b700_16
    - libgomp 12.1.0 h8d9b700_16
    - libnsl 2.0.0 h7f98852_0
    - libsqlite 3.39.3 h753d276_0
    - libuuid 2.32.1 h7f98852_1000
    - libzlib 1.2.12 h166bdaf_3
    - ncurses 6.3 h27087fc_1
    - openssl 3.0.5 h166bdaf_2
    - pip 22.2.2 pyhd8ed1ab_0
    - python 3.10.6 ha86cf86_0_cpython
    - readline 8.1.2 h0f457ee_0
    - setuptools 65.4.0 pyhd8ed1ab_0
    - tk 8.6.12 h27826a3_0
    - tzdata 2022d h191b570_0
    - wheel 0.37.1 pyhd8ed1ab_0
    - xz 5.2.6 h166bdaf_0
  run:
    - google-crc32c >=1.0,<2.0.0dev
    - python >=3.7
  run_constrained:
    - aiohttp >=3.6.2,<4.0.0dev
    - requests >=2.18.0,<3.0.0dev
test:
  commands:
    - pip check
  imports:
    - google
    - google.resumable_media
  requires:
    - pip
about:
  dev_url: https://github.com/googleapis/google-resumable-media-python
  doc_url: https://googleapis.github.io/google-resumable-media-python/latest/
  home: https://github.com/googleapis/google-resumable-media-python
  license: Apache-2.0
  license_family: APACHE
  license_file: LICENSE
  summary: Utilities for Google Media Downloads and Resumable Uploads
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - johanneskoester
    - parthea
    - tswast
    - xylar
